## org.apache.tools.ant.taskdefs.optional.net
Class MimeMail

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.email.EmailTask
                  org.apache.tools.ant.taskdefs.optional.net.MimeMail

Deprecated. Use `EmailTask` instead.

public class MimeMail
extends EmailTask

A task to send SMTP email; Use `mail` instead

Since:
  Ant1.4
Author:
  glenn_twiggs@bmc.com, steve_l@iseran.com steve loughran, ehatcher@apache.org Erik Hatcher, paulo.gaspar@krankikom.de Paulo Gaspar

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`EmailTask.Encoding`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`AUTO, MIME, PLAIN, UU`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MimeMail()` Deprecated.

Method Summary
`void` `execute()` Deprecated. Executes this build task.

Methods inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`addBcc, addCc, addFileset, addFrom, addMessage, addTo, getIncludeFileNames, setBccList, setCcList, setEncoding, setFailOnError, setFiles, setFrom, setIncludefilenames, setMailhost, setMailport, setMessage, setMessageFile, setMessageMimeType, setSubject, setToList`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMail

    public MimeMail()

  Deprecated.

Method Detail

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Executes this build task.

  Overrides:
    `execute` in class `EmailTask`
  Throws:
    `BuildException` - On error.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.